JUCE: MPEChannelRemapper Class Reference

JUCE

Public Member Functions | Static Public Attributes | List of all members
MPEChannelRemapper Class Reference
juce_audio_basics » mpe

This class handles the logic for remapping MIDI note messages from multiple MPE sources onto a specified MPE zone. More...

`#include <juce_MPEUtils.h>`

## Public Member Functions
| MPEChannelRemapper (MPEZoneLayout::Zone zoneToRemap)
| Constructor. More...
void | remapMidiChannelIfNeeded (MidiMessage &message, uint32 mpeSourceID) noexcept
| Remaps the MIDI channel of the specified MIDI message (if necessary). More...
void | reset () noexcept
| Resets all the source & channel combinations. More...
void | clearChannel (int channel) noexcept
| Clears a specified channel of this MPE zone. More...
void | clearSource (uint32 mpeSourceID)
| Clears all channels in use by a specified source. More...

## Static Public Attributes
static const uint32 | notMPE = 0
| Used to indicate that a particular source & channel combination is not currently using MPE. More...

## Detailed Description

This class handles the logic for remapping MIDI note messages from multiple MPE sources onto a specified MPE zone.

## Constructor & Destructor Documentation

## ◆ MPEChannelRemapper()

MPEChannelRemapper::MPEChannelRemapper | ( | MPEZoneLayout::Zone | zoneToRemap | ) |

Constructor.

## Member Function Documentation

## ◆ remapMidiChannelIfNeeded()

void MPEChannelRemapper::remapMidiChannelIfNeeded | ( | MidiMessage & | message,
|  | uint32 | mpeSourceID
| ) |  |
| noexcept

Remaps the MIDI channel of the specified MIDI message (if necessary).

Note that the MidiMessage object passed in will have it's channel changed if it needs to be remapped.

Parameters

  message | the message to be remapped
  mpeSourceID | the ID of the MPE source of the message. This is up to the user to define and keep constant

## ◆ reset()

void MPEChannelRemapper::reset | ( |  | ) |
| noexcept

Resets all the source & channel combinations.

## ◆ clearChannel()

void MPEChannelRemapper::clearChannel | ( | int | channel | ) |
| noexcept

Clears a specified channel of this MPE zone.

## ◆ clearSource()

void MPEChannelRemapper::clearSource | ( | uint32 | mpeSourceID | ) |

Clears all channels in use by a specified source.

References gl::m.

## Member Data Documentation

## ◆ notMPE

const uint32 MPEChannelRemapper::notMPE = 0
| static

Used to indicate that a particular source & channel combination is not currently using MPE.

The documentation for this class was generated from the following file:

- juce_MPEUtils.h